Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.examples.nurserostering.domain.solver
Class EmployeeAssignmentTotal

    java.lang.Object
      org.drools.planner.examples.nurserostering.domain.solver.EmployeeAssignmentTotal

All Implemented Interfaces:
  Serializable, Comparable<EmployeeAssignmentTotal>

    public class EmployeeAssignmentTotal

extends Object
implements Comparable<EmployeeAssignmentTotal>, Serializable

See Also:
  Serialized Form

Constructor Summary
`EmployeeAssignmentTotal(Employee employee, int total)`

Method Summary
`int` | `compareTo(EmployeeAssignmentTotal other)`
`boolean` | `equals(Object o)`
`Employee` | `getEmployee()`
`Contract` | `getEmployeeContract()`
`int` | `getTotal()`
`int` | `hashCode()`
`void` | `setEmployee(Employee employee)`
`void` | `setTotal(int total)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EmployeeAssignmentTotal

    public EmployeeAssignmentTotal(Employee employee,
                                   int total)

Method Detail

### getEmployee

    public Employee getEmployee()

### setEmployee

    public void setEmployee(Employee employee)

### getTotal

    public int getTotal()

### setTotal

    public void setTotal(int total)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### compareTo

    public int compareTo(EmployeeAssignmentTotal other)

  Specified by:
    `compareTo` in interface `Comparable<EmployeeAssignmentTotal>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getEmployeeContract

    public Contract getEmployeeContract()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.